Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158415 - Cannot add failover domain to service
Summary: Cannot add failover domain to service
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-22 03:55 UTC by Henry Harris
Modified: 2009-04-16 20:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-31 15:33:13 UTC


Attachments (Terms of Use)

Description Henry Harris 2005-05-22 03:55:04 UTC
Description of problem:  I was able to create a failover domain with the GUI but
after assigning a failover domain to a service it was not retained and did not
show up in the services section of the cluster.conf file although it was in the
failover domain section.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jim Parsons 2005-05-24 14:04:26 UTC
This is fixed in 0.9.56-1.0

Comment 2 Corey Marthaler 2005-05-25 15:09:22 UTC
fix verified in -60.

Comment 3 Lon Hohberger 2005-05-26 18:40:41 UTC
I reproduced this with -64 on red

- Ssh'd in with -Y
- Created new "testdomainthing" service.

Try 1:
- clicked testdomainthing
- clicked edit service properties
- selected a failover domain from the dropdown
- clicked close
- clicked testdomainthing service
- clicked edit service properties
- Failover domain...: "None" :(


Try 2:
- clicked testdomainthing
- clicked edit service properties
- selected a failover domain from the dropdown
- clicked close
- file->save
- quite system-config-cluster
- look at /etc/cluster/cluster.conf -- no domain for the service.


This *works* if I change the domain a service is bound to.  That is, if the
service has a domain already, then you can switch it to another domain and the
configuration reflects this correctly.


Comment 4 Jim Parsons 2005-05-27 17:52:13 UTC
Yes - found the error. Fixed in 0.9.66-1.0

Comment 5 Lon Hohberger 2005-05-27 18:52:59 UTC
Both test cases I mentioned previously work properly now.


Comment 6 Corey Marthaler 2005-05-31 15:33:13 UTC
per Lon's comment, marking fixed.


Note You need to log in before you can comment on or make changes to this bug.